<%@ taglib uri="http://java.sun.com/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/jstl/fmt" prefix="fmt" %>

<c:out value="${position}"/><br/>
<c:out value="${requestScope.position}"/><br/>
<c:out value="${city}" default="Sydney"/><br/>
<c:out value="${job}" default="${position}"/><br/>
<br/>
Use the out tag to escape HTML special characters<br/>
<c:out value="<br/> is used to change line"/><br/>
<br/>


Create a scoped variable named foo and display its value<br/>
<c:set var="foo" value="The wisest fool"/>
<c:out value="${pageScope.foo}"/><br/>
<br/>
<c:set var="fool" value="The wisest fool

in the world.
"/>
<c:out value="${pageScope.fool}"/><br/>

Create a new scoped variable that references the scoped object position<br/>
<c:set var="job" value="${requestScope.position}" scope="page"/>
job: <c:out value="${job}"/><br/>
<br/>
Removing the scoped variable job<br/>
<c:remove var="job" scope="page"/>
job: <c:out value="${job}"/><br/>
position: <c:out value="${position}"/><br/>

<c:out value="${address.city}"/><br/>
Assign "Tokyo" to the city property of the address scoped object.
<c:set target="${address}" property="city" value="Tokyo"/>
<c:out value="${address.city}"/><br/>

Assign "Beijing" to the city property of the address scoped object.
<c:set target="${address}" property="city">Beijing</c:set>
<c:out value="${address.city}"/><br/>

<br/><br/>
<c:if test="${param.user=='ken' && param.password=='blackcomb'}">
  You logged in successfully.
</c:if>
<c:if test="${!(param.user=='ken' && param.password=='blackcomb')}">
  Login failed.
</c:if>
<br/><br/>
<c:choose>
  <c:when test="${param.status=='full'}">
    You are a full member
  </c:when>
  <c:when test="${param.status=='student'}">
    You are a student member
  </c:when>
  <c:otherwise>
    Please register
  </c:otherwise>
</c:choose>

<br/><br/>
<c:forEach var="x" begin="1" end="5">
<c:out value="${x}"/>,
</c:forEach>

<br/><br/>

Phones:<br/>
<c:forEach var="phone" items="${address.phones}">
  <c:out value="${phone}"/><br/>
</c:forEach>

<br/><br/>

<table>
<c:forEach var="phone" items="${address.phones}" varStatus="status">
  <c:choose>
    <c:when test="${status.count%2==0}">
      <tr bgcolor="#ff0000">
    </c:when>
    <c:otherwise>
      <tr bgcolor="#00ff00">
    </c:otherwise>
  </c:choose>
  <td><c:out value="${phone}"/></td>
</tr>
</c:forEach>
</table>

<br/><br/>
<c:forTokens var="item" items="Argentina,Brazil,Chile" delims=",">
  <c:out value="${item}"/><br/>
</c:forTokens>
<br/><br/>
Formatting dates<br/>
Default format: <fmt:formatDate value="${now}"/><br/>
Short format: <fmt:formatDate value="${now}" dateStyle="short"/><br/>
Medium format: <fmt:formatDate value="${now}" dateStyle="medium"/><br/>
Long format: <fmt:formatDate value="${now}" dateStyle="long"/><br/>
Full format: <fmt:formatDate value="${now}" dateStyle="full"/><br/>
<br/><br/>
<b>Formatting Times</b><br/>
Default format: <fmt:formatDate type="time" value="${now}"/><br/>
Short format: <fmt:formatDate type="time" value="${now}" timeStyle="short"/><br/>
Medium format: <fmt:formatDate type="time" value="${now}" timeStyle="medium"/><br/>
Long format: <fmt:formatDate type="time" value="${now}" timeStyle="long"/><br/>
Full format: <fmt:formatDate type="time" value="${now}" timeStyle="full"/><br/>


<br/><br/>
<b>Formatting Dates and Times</b><br/>
Default format: <fmt:formatDate type="both" value="${now}"/><br/>
Short date short time format: <fmt:formatDate type="both" 
  value="${now}" dateStyle="short" timeStyle="short"/><br/>
Long date long time format: <fmt:formatDate type="both" 
  value="${now}" dateStyle="long" timeStyle="long"/><br/>

<br/><br/>

<b>Formatting Times with Time Zones</b><br/>
Time zone CT: <fmt:formatDate type="time" value="${now}" timeZone="CT"/><br/>
Time zone HST: <fmt:formatDate type="time" value="${now}" timeZone="HST"/><br/>

<br/><br/>
<b>Formatting Dates and Times with Custom Patterns</b><br/>
dd.MM.yy: <fmt:formatDate type="both" value="${now}" pattern="dd.MM.yy"/><br/>
dd.MM.yyyy: <fmt:formatDate type="both" value="${now}" pattern="dd.MM.yyyy"/><br/>

<br/><br/>

<fmt:timeZone value="GMT+1:00">
  <fmt:formatDate value="${now}" type="both" dateStyle="full"
  timeStyle="full"/>
</fmt:timeZone>
<br/>
<fmt:timeZone value="HST">
  <fmt:formatDate value="${now}" type="both" dateStyle="full"
  timeStyle="full"/>
</fmt:timeZone>
<br/>
<fmt:timeZone value="CST">
  <fmt:formatDate value="${now}" type="both" dateStyle="full"
  timeStyle="full"/>
</fmt:timeZone>

<br/><br/>
<fmt:parseNumber var="formattedNumber" type="number"
  value="${quantity}"/>
<c:out value="${formattedNumber}"/>
<br/><br/>
<c:set var="myDate" value="12/12/2005"/>
<fmt:parseDate var="formattedDate" type="date" 
  dateStyle="short" value="${myDate}"/>
<c:out value="${formattedDate}"/>



